> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List organization security workloads



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /org/security/workloads
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /org/security/workloads:
    get:
      tags:
        - Security
      summary: List organization security workloads
      operationId: list_security_workloads
      parameters:
        - in: query
          name: page
          required: false
          schema:
            default: 1
            maximum: 10000
            minimum: 1
            type: integer
        - description: Values above 100 are clamped to 100.
          in: query
          name: page_size
          required: false
          schema:
            default: 50
            minimum: 1
            type: integer
        - in: query
          name: search
          required: false
          schema:
            type: string
        - in: query
          name: severity
          required: false
          schema:
            items:
              enum:
                - critical
                - high
                - medium
                - low
                - unknown
              type: string
            type: array
        - in: query
          name: status
          required: false
          schema:
            items:
              enum:
                - open
                - actionable
                - acknowledged
                - accepted_risk
                - mixed
              type: string
            type: array
        - in: query
          name: fixable
          required: false
          schema:
            type: boolean
        - in: query
          name: cluster_id
          required: false
          schema:
            format: uuid
            type: string
        - in: query
          name: addon_slug
          required: false
          schema:
            type: string
        - in: query
          name: namespace
          required: false
          schema:
            type: string
        - in: query
          name: sort
          required: false
          schema:
            enum:
              - risk_score
              - priority
              - severity
              - last_scan
              - observed
              - actionable
              - fixable_severe
              - workload_name
              - image_ref
              - cluster_name
              - addon_attribution
            type: string
        - in: query
          name: order
          required: false
          schema:
            enum:
              - asc
              - desc
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityWorkloadListResponse'
          description: Successful response
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityDetailError'
          description: Business validation error
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityPermissionDenied'
          description: Permission denied
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityDetailError'
          description: Organization-scoped resource not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Request validation error
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityDetailError'
          description: Internal server error
components:
  schemas:
    SecurityWorkloadListResponse:
      properties:
        pagination:
          $ref: '#/components/schemas/SecurityPagination'
        result:
          items:
            $ref: '#/components/schemas/SecurityWorkloadSummary'
          type: array
        scanner:
          $ref: '#/components/schemas/SecurityScannerSummary'
      required:
        - result
        - pagination
        - scanner
      type: object
    SecurityDetailError:
      properties:
        detail:
          type: string
      required:
        - detail
      type: object
    SecurityPermissionDenied:
      properties:
        detail:
          enum:
            - permission_denied
          type: string
        permission:
          type: string
        scope_type:
          type: string
      required:
        - detail
        - permission
        - scope_type
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    SecurityPagination:
      properties:
        page:
          type: integer
        page_size:
          type: integer
        total_count:
          type: integer
        total_pages:
          type: integer
      required:
        - page
        - page_size
        - total_pages
        - total_count
      type: object
    SecurityWorkloadSummary:
      properties:
        accepted_risk:
          $ref: '#/components/schemas/SecuritySeverityCounts'
        acknowledged:
          $ref: '#/components/schemas/SecuritySeverityCounts'
        actionable:
          $ref: '#/components/schemas/SecuritySeverityCounts'
        addon_attribution:
          $ref: '#/components/schemas/SecurityAttributionSummary'
        addon_slug:
          anyOf:
            - type: string
            - type: 'null'
        cluster_id:
          format: uuid
          type: string
        cluster_name:
          type: string
        fixable_severe:
          type: integer
        id:
          pattern: ^[0-9a-f]{64}$
          type: string
        image_digest:
          anyOf:
            - type: string
            - type: 'null'
        image_ref:
          anyOf:
            - type: string
            - type: 'null'
        last_scan:
          format: date-time
          type: string
        observed:
          $ref: '#/components/schemas/SecuritySeverityCounts'
        priority:
          enum:
            - critical
            - high
            - medium
            - low
            - unknown
            - accepted_risk
          type: string
        risk_score:
          type: integer
        scanner_status:
          enum:
            - fresh
            - stale
          type: string
        workload_kind:
          anyOf:
            - type: string
            - type: 'null'
        workload_name:
          anyOf:
            - type: string
            - type: 'null'
        workload_namespace:
          anyOf:
            - type: string
            - type: 'null'
        workload_uid:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - id
        - cluster_id
        - cluster_name
        - workload_uid
        - workload_kind
        - workload_namespace
        - workload_name
        - image_ref
        - image_digest
        - addon_slug
        - addon_attribution
        - observed
        - actionable
        - acknowledged
        - accepted_risk
        - fixable_severe
        - priority
        - risk_score
        - last_scan
        - scanner_status
      type: object
    SecurityScannerSummary:
      properties:
        fresh_clusters:
          type: integer
        last_scan:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
        stale_after_seconds:
          type: integer
        stale_clusters:
          type: integer
        status:
          enum:
            - fresh
            - degraded
            - stale
            - unscanned
          type: string
        unscanned_clusters:
          type: integer
      required:
        - status
        - last_scan
        - fresh_clusters
        - stale_clusters
        - unscanned_clusters
        - stale_after_seconds
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    SecuritySeverityCounts:
      properties:
        critical:
          type: integer
        high:
          type: integer
        low:
          type: integer
        medium:
          type: integer
        unknown:
          type: integer
      required:
        - critical
        - high
        - medium
        - low
        - unknown
      type: object
    SecurityAttributionSummary:
      properties:
        ambiguous:
          type: integer
        matched:
          type: integer
        partial:
          type: boolean
        status:
          enum:
            - matched
            - unmatched
            - ambiguous
          type: string
        unmatched:
          type: integer
      required:
        - status
        - matched
        - unmatched
        - ambiguous
        - partial
      type: object

````